> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List destinations

> List all the destinations for the given user. A destination is where the data from a source gets loaded into.



## OpenAPI

````yaml get /v2/destinations
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/destinations:
    get:
      tags:
        - Destinations
      summary: List destinations
      description: >-
        List all the destinations for the given user. A destination is where the
        data from a source gets loaded into.
      operationId: listDestinations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DestinationSummary'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    DestinationSummary:
      type: object
      required:
        - id
        - destinationSpec
      properties:
        id:
          type: integer
          format: int
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 1
        displayName:
          type: string
          description: A human-readable name for the destination
          x-go-type-skip-optional-pointer: true
          x-order: 2
        destinationSpec:
          type: string
          description: The name of the destination spec this destination is an instance of
          x-order: 3
        createdAt:
          type: string
          format: date-time
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 4
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 5
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````